- Qt 6.12
- Qt Quick 3D
- QML Types
- QtQuick3D.Xr
- XrErrorDialog
- Qt Quick 3D | Commercial or GPLv3

# XrErrorDialog QML Type

Custom error dialog for PCVR applications. More...

Import Statement: | `import QtQuick3D.Xr`
Since: | Qt 6.8
Inherits: | Item
Status: | Technology preview

This type is in technology preview and is subject to change.

- List of all members, including inherited members

## Methods

- void run(string title, string message)

## Detailed Description

You can use this type when streaming content from a desktop computer to an XR headset. It displays a dialog box on the desktop screen, typically to inform users about errors in initializing the headset. Internally, it dynamically instantiates a Window with a message dialog.

     XrView {
         id: xrView

         XrErrorDialog {
             id: errorDialog
         }
         onInitializeFailed: (errorString) => errorDialog.run("XRView", errorString)
     }

## Method Documentation

### void run(string title, string message)

Displays an error dialog with the title title and message contents message.